Summary: The NIS (Network Information Service) server.
Name: ypserv
Version: 2.14
Release: 1tr
License: GPL
Group: Trustix Official
Source0: ftp://ftp.kernel.org/pub/linux/utils/net/NIS/ypserv-%{version}.tar.bz2
Source1: ypserv-ypserv.init
Source2: ypserv-yppasswdd.init
Source3: ypserv-yppasswdd.sysconfig
Requires: portmap make
Prereq: /sbin/chkconfig /sbin/restart_maybe
Patch0: ypserv-2.8-trustix.patch
Patch1: ypserv-awkpath.patch
Obsoletes: yppasswd
Buildroot: /var/tmp/%{name}-root/
BuildRequires: autoconf, gdbm-devel

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network.  NIS can enable
users to login on any machine on the network, as long as the machine
has the NIS client programs running and the user's password is
recorded in the NIS passwd database.  NIS was formerly known as Sun
Yellow Pages (YP).

This package provides the NIS server, which will need to be running on
your network.  NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network.  You'll
also need to install the yp-tools and ypbind packages onto any NIS
client machines.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoconf
cp etc/README etc/README.etc

CFLAGS=$RPM_OPT_FLAGS ./configure --enable-checkroot \
           --enable-fqdn \
           --libexecdir=/usr/lib/yp
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install

sed -e 's/^0\.0\.0\.0		0.0.0.0$/#0.0.0.0		0.0.0.0/' \
	etc/securenets > $RPM_BUILD_ROOT/var/yp/securenets
chmod 644 $RPM_BUILD_ROOT/var/yp/securenets

mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/ypserv
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/yppasswdd

install -m644 etc/ypserv.conf $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/yppasswdd

touch $RPM_BUILD_ROOT/etc/netgroup
chmod 644 $RPM_BUILD_ROOT/etc/netgroup


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ypserv
/sbin/chkconfig --add yppasswdd
# Restart service after upgrade.
/sbin/restart_maybe ypserv
/sbin/restart_maybe yppasswdd

%preun
if [ $1 = 0 ]; then
	service ypserv stop
	service yppasswdd stop
	/sbin/chkconfig --del ypserv
	/sbin/chkconfig --del yppasswdd
fi
 
%files
%defattr(-,root,root)
%doc README INSTALL ChangeLog TODO NEWS THANKS
%doc etc/README.etc
%config /etc/ypserv.conf
%config /etc/netgroup
%config /var/yp/Makefile
%config(noreplace) /var/yp/securenets
%dir /var/yp
%config /etc/init.d/*
%config(noreplace) /etc/sysconfig/yppasswdd
/usr/lib/yp
/usr/sbin/*
/usr/share/man/man5/*
/usr/share/man/man8/*
/usr/include/*/*

%changelog
* Fri Sep 19 2004 Erlend Midttun <erlendbm at trustix dot org> 2.14-1tr
- New upstream.

* Tue Feb  3 2004 Chr. Toldnes <christht at trustix dot org> 2.9-2tr
- chkconfig --add in %post

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 2.9-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8-2tr
- Big rebuild

* Thu Jun  5 2003 Tore Olsen <toreo at trustix dot com> 2.8-1to
- new upstream
- fixed build and buildreqs

* Tue Jun  3 2003 Tore Olsen <toreo at trustix dot com> 2.5-9to
- Replaced init scripts and added sysconfig files
- Added buildrequires.
- Simpler %post script

* Fri May 23 2003 Chr. H. Toldnes <christht at trustix dot com> 2.5-8ct
- Fix %build to use aclocal, autoconf and configure.trustix

* Thu May  8 2003 Tore Olsen <toreo at trustix dot com> 2.5-7to
- Don't merge shadow and passwd, make shadow separate map. Makes
  yppasswd work.

* Tue Apr 29 2003 Tore Olsen <toreo at trustix dot com> 2.5-6to
- Fixed path to awk.
- Removed dependency on tcp_wrappers, no longer supported by ypserv.
- Install securenets file set up to disallow all clients to /var/yp

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-5em
- Rebuilt against glibc 2.3.2.

* Thu Feb 27 2003 Christian H. Toldnes <christht at trustix dot com> 2.5-4ct
- Fixed better removal of $RPM_BUILD_ROOT

* Thu Feb 13 2003 Christian H. Toldnes <christht at trustix dot com> 2.5-3ct
- Find correct functions file.

* Wed Jan 22 2003 Tor Hveem <torh at trustix dot org> 2.5-2th
- fixed $INITLOCK

* Thu Sep 12 2002 Christian H. Toldnes <christht at trustix dot com> 2.5-1ct
- New upstream version: 2.5
- Major rewrite to fit 2.0 policy

* Wed Apr 24 2002 Erlend Midttun <erlendbm at trustix dot com>
- Added netgroup

* Thu Apr 18 2002 Erlend Midttun <erlendbm at trustix dot com>
- Fixed libexecdir
 
* Thu Dec 14 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fixed default location of aliases.
- Added tcp-wrappers.

* Wed Oct  4 2000 Erlend Midttun <erlendbm at trustix dot com>
- Added make to requirements
- Updated with the tiny patch to 1.3.11a

* Wed Oct  4 2000 Oystein Viggen <oysteivi at trustix dot com>
- For no particular reason, beautify usage of syslog in yp_msg.c

* Tue Sep 12 2000 Per Ivar Paulsen <perp at trustix dot com>
- Updated to 1.3.11

* Sun Feb 20 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 1.3.10
- Moved man pages

* Wed Feb  2 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix typo in %triggerpostun

* Mon Oct 25 1999 Bill Nottingham <notting@redhat.com>
- update to 1.3.9
- use gdbm, move back to /usr/sbin

* Tue Aug 17 1999 Bill Nottingham <notting@redhat.com>
- initscript munging
- ypserv goes on root partition

* Fri Aug 13 1999 Cristian Gafton <gafton@redhat.com>
- version 1.3.7

* Thu Jul  1 1999 Bill Nottingham <notting@redhat.com>
- start after network FS

* Tue Jun  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.6.94.

* Sun May 30 1999 Jeff Johnson <jbj@redhat.com>
- improved daemonization.

* Sat May 29 1999 Jeff Johnson <jbj@redhat.com>
- fix buffer overflow in rpc.yppasswd (#3126).

* Fri May 28 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.6.92.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- version 1.3.6.91

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- move to start before ypbind

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- upgraded to 1.3.5

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- yppasswd.init: lock file must have same name as init.d script, not daemon

* Sat Jul 11 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.4
- fixed the fubared Makefile
- link against gdbm instead of ndbm (it seems to work better)

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.1
- enhanced init scripts

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun
- Use libdb fro dbp_*().

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.0

* Wed Dec 03 1997 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.5
- added buildroot; updated spec file
- added yppasswdd init file

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- init script shouldn't set the domain name

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- supports chkconfig
- updated initscript for status and restart
- turned off in all runlevels, by default
- removed postinstall script which didn't do anything

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- added patch to build against later glibc

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Apr 23 1997 Erik Troan <ewt@redhat.com>
- updated to 1.1.7.

* Fri Mar 14 1997 Erik Troan <ewt@redhat.com>
- Updated to ypserv 1.1.5, ported to Alpha (glibc).

* Fri Mar 07 1997 Erik Troan <ewt@redhat.com>
- Removed -pedantic which confuses the SPARC :-(

